LN(1)

NOM
ln - Créer des liens entre des fichiers

SYNOPSIS
ln [OPTION]... [-T] CIBLE NOM_DU_LIEN (1er format)
ln [OPTION]... CIBLE (2e format)
ln [OPTION]... CIBLE... RÉPERTOIRE (3e format)
ln [OPTION]... -t RÉPERTOIRE CIBLE... (4e format)

DESCRIPTION

Dans le 1er format, créer un lien vers la CIBLE avec le NOM_DU_LIEN. Dans le 2e format, créer un lien vers la CIBLE dans le répertoire actuel. Dans les 3e et 4e formats, créer des liens vers chaque CIBLE dans le RÉPERTOIRE. Par défaut, les liens créés sont des liens directs (« hard link ») ; pour créer des liens symboliques, utiliser --symbolic. Les noms des liens à créer ne doivent par défaut pas déjà exister. Lors de la création de liens directs, chaque CIBLE doit exister. Un lien symbolique peut contenir n'importe quel texte ; lors de la résolution du lien par la suite, un lien relatif est interprété par rapport à son répertoire parent.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--backup[=MODE]
    archiver chaque fichier cible existant

-b  identique à --backup mais sans paramètre

-d, -F, --directory
    permettre au superutilisateur de créer des liens directs (« hard links ») sur des répertoires (note : ceci échouera probablement en raison de restrictions système même pour le superutilisateur)

-f, --force
    détruire les fichiers de destination existants

-i, --interactive
    demander confirmation avant de détruire les destinations

-L, --logical
    déréférencer les CIBLEs si elles sont des liens symboliques

-n, --no-dereference
    traiter NOM_DU_LIEN comme un fichier ordinaire si c'est un lien symbolique vers un répertoire

-P, --physical
    créer des liens directs directement vers les liens symboliques

-r, --relative
    créer des liens symboliques relatifs à leur emplacement

-s, --symbolic
    créer des liens symboliques au lieu de liens directs

-S, --suffix=SUFFIXE
    écraser le suffixe habituel d'archivage avec le SUFFIXE

-t, --target-directory=RÉPERTOIRE
    indiquer le RÉPERTOIRE dans lequel les liens seront créés

-T, --no-target-directory
    toujours traiter le NOM_DU_LIEN comme un fichier normal

-v, --verbose
    afficher le nom de chaque fichier lié

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Le suffixe d'archivage est « ~ », à moins d'avoir été initialisé avec --suffix ou SIMPLE_BACKUP_SUFFIX. La méthode de contrôle de version peut être choisie à l'aide de l'option --backup ou à l'aide de la variable d'environnement VERSION_CONTROL parmi les valeurs suivantes :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

Lorsque -s est utilisé, -L et -P sont ignorés. Sinon, la dernière option spécifiée contrôle le comportement lorsque la CIBLE est un lien symbolique, en utilisant -P par défaut.

AUTEUR
Écrit par Mike Parker et David MacKenzie.

SIGNALER DES BOGUES
Signaler toute anomalie de ln à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de ln à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
link(2), symlink(2)

La documentation complète pour ln est disponible dans un manuel Texinfo. Si les programmes info et ln sont correctement installés sur votre système, la commande

    info coreutils 'ln invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.